%global srcname gamera
%global sum Gamera is a framework for building document analysis applications.

Name:           python-%{srcname}
Version:        3.4.2
Release:        2%{?dist}
Summary:        %{sum}

License:        GPLv2
URL:            https://github.com/hsnr-gamera/%{srcname}
Source0:        https://github.com/hsnr-gamera/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:	wxPython
BuildRequires:	gcc
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel

%description
Gamera is a framework for building document analysis applications. It is not a packaged document recognition system, but a toolkit for building document image recognition systems.
For more information about Gamera, visit the Gamera website at:
http://gamera.informatik.hsnr.de/

%prep
%autosetup -c

%build
%py2_build
# C++ Source files not required
#rm -rf  %{buildroot}/%{python2_sitelib}

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install

%files
%license LICENSE
%doc README
# For noarch packages: sitelib
%{_bindir}/gamera*
%{python2_sitearch}/*
%{python2_sitelib}/*
%{_includedir}/*

%changelog
* Fri Mar 3 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-2
- Remove macros on top of Spec file
- Use macros on URLs
- Substitution of %{__python2} setup.py build by %py2_build
- Replacement BuildRequires libpng by libpng-devel
-  

* Mon Feb 27 2017 Vincent Saulnier <vincent@casperlefantom.net> - 3.4.2-1
- Initial Spec file 
